Package org.apache.ignite.internal.management.meta

## Class MetaListCommand

- java.lang.Object
- - org.apache.ignite.internal.management.meta.MetaListCommand

All Implemented Interfaces:
  `Command<IgniteDataTransferObject,​MetadataListResult>`, `ComputeCommand<IgniteDataTransferObject,​MetadataListResult>`

    public class MetaListCommand
    extends Object
    implements ComputeCommand<IgniteDataTransferObject,​MetadataListResult>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`MetaListCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Class<NoArg>` `argClass()`
`String` `description()` Command description.
`static String` `printInt​(int val)`
`void` `printResult​(IgniteDataTransferObject arg, MetadataListResult res, Consumer<String> printer)` Prints command result to the user.
`Class<MetadataInfoTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException, nodes`

### Constructor Detail

#### MetaListCommand

    public MetaListCommand()

### Method Detail

#### description

    public String description()

Command description.

Specified by:
  `description` in interface `Command<IgniteDataTransferObject,​MetadataListResult>`

#### argClass

    public Class<NoArg> argClass()

Specified by:
  `argClass` in interface `Command<IgniteDataTransferObject,​MetadataListResult>`
Returns:
  Arguments class.

#### taskClass

    public Class<MetadataInfoTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<IgniteDataTransferObject,​MetadataListResult>`
Returns:
  Task class.

#### printResult

    public void printResult​(IgniteDataTransferObject arg,
                            MetadataListResult res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<IgniteDataTransferObject,​MetadataListResult>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.

#### printInt

    public static String printInt​(int val)

Parameters:
  `val` - Integer value.
Returns:
  String.